var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// @ts-ignore
// error TS2525: Initializer provides no value for this binding element and the binding element has no default value (body).
function fetchCfApi(endpoint, _a = {}) {
    var { body } = _a, customConfig = __rest(_a, ["body"]);
    const headers = { 'Content-Type': 'application/json' };
    const config = Object.assign(Object.assign({ method: 'GET' }, customConfig), { headers: Object.assign(Object.assign({}, headers), customConfig.headers) });
    if (body) {
        if (config.method === 'GET') {
            endpoint += '?' + new URLSearchParams(body);
        }
        else {
            // @ts-ignore
            // error TS2339: Property 'body' does not exist on type '{ headers: any; method: string; }'.
            config.body = JSON.stringify(body);
        }
    }
    return window
        .fetch(endpoint, config)
        .then((response) => __awaiter(this, void 0, void 0, function* () {
        if (response.ok) {
            return yield response.json();
        }
        else {
            const errorMessage = yield response.json();
            return Promise.reject(new Error(errorMessage.error));
        }
    }));
}
export { fetchCfApi };
