import { GoogleMaps } from './ui/google-maps';
import { AutocompleteConcept } from './ui/autocomplete-concept';
const webComponents = (function () {
    const registerGoogleMaps = () => {
        window.customElements.define('google-maps', GoogleMaps);
        return true;
    };
    const registerAutocompleteConcept = () => {
        window.customElements.define('autocomplete-concept', AutocompleteConcept);
        return true;
    };
    return {
        registerGoogleMaps: registerGoogleMaps,
        registerAutocompleteConcept: registerAutocompleteConcept,
    };
})();
export { webComponents, GoogleMaps, AutocompleteConcept };
